Get Seller Account AI usage by model over time
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/usage/by-model \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/usage/by-model"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/usage/by-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rows": [
{
"model": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"totalTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495,
"day": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}AI Usage
Get Seller Account AI usage by model over time
Get customer-borne Seller Account AI token usage grouped by day and model. Customer scope is always derived from the authenticated organization.
GET
/
usage
/
by-model
Get Seller Account AI usage by model over time
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/usage/by-model \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/usage/by-model"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/usage/by-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rows": [
{
"model": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheCreationInputTokens": 4503599627370495,
"cacheReadInputTokens": 4503599627370495,
"totalTokens": 4503599627370495,
"costMicroUsd": 4503599627370495,
"costUsd": 1,
"callCount": 4503599627370495,
"day": "<string>"
}
]
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Response
Get Seller Account AI usage by model over time
Show child attributes
Show child attributes